Page MenuHomePhabricator

Removing category filter in Advanced search shows "[object Object]"
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

Steps to Reproduce:

  1. Go to search page on commons.wikimedia.org.
  2. Expand the "Advanced search" row.
  3. Under "Pages in these categories", type "Cat", and accept the suggestion for "Cat" to make it bubble.
  4. Press backspace to remove the bubble.

Expected Results:

The filter to be focussed to remove upon pressing backspace again or to be removed directly.

Actual Results:

The bubble is replaced with the text "[object Object]".

  • Browser: Firefox 74 (latest stable)
  • OS: macOS 10.14.

Event Timeline

Krinkle created this task.Apr 1 2020, 8:04 PM
Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptApr 1 2020, 8:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 618338 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Fix "[object Object]" bug in page name lookups

https://gerrit.wikimedia.org/r/618338

Change 618369 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Fix lookup code failing on titles with invalid characters

https://gerrit.wikimedia.org/r/618369

Change 618729 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[oojs/ui@master] Fix several broken code paths related to LabelElement#getLabel

https://gerrit.wikimedia.org/r/618729

Change 619293 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[oojs/ui@master] Rewrite insufficient label mixin documentation

https://gerrit.wikimedia.org/r/619293

thiemowmde set the point value for this task to 3.Aug 11 2020, 1:09 PM
thiemowmde changed the point value for this task from 3 to 2.
thiemowmde moved this task from Backlog to Doing (others) on the Advanced-Search board.
thiemowmde moved this task from Sprint Backlog to Review on the WMDE-QWERTY-Sprint-2020-08-12 board.

Change 618338 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix "[object Object]" bug in page name lookups

https://gerrit.wikimedia.org/r/618338

Change 619293 merged by jenkins-bot:
[oojs/ui@master] Rewrite insufficient label mixin documentation

https://gerrit.wikimedia.org/r/619293

Change 621711 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.40.2

https://gerrit.wikimedia.org/r/621711

Change 621989 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[oojs/ui@master] Fix the removing of windows being broken by this scoping issue

https://gerrit.wikimedia.org/r/621989

Change 621989 merged by jenkins-bot:
[oojs/ui@master] Follow-up I669cfeeb: Fix the removing of windows being broken by this scoping issue

https://gerrit.wikimedia.org/r/621989

Change 618369 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Fix lookup code failing on titles with invalid characters

https://gerrit.wikimedia.org/r/618369

thiemowmde closed this task as Resolved.Aug 26 2020, 8:06 AM

Change 623824 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.40.3

https://gerrit.wikimedia.org/r/623824

Change 621711 abandoned by Reedy:
[mediawiki/core@master] Update OOUI to v0.40.2

Reason:
Replaced by https://gerrit.wikimedia.org/r/c/mediawiki/core/ /623824

https://gerrit.wikimedia.org/r/621711

Change 623824 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.40.3

https://gerrit.wikimedia.org/r/623824